Bug 1649871 - [Container Admin] hammer shows "Container Image Tags Filter" for non-docker repositories
Summary: [Container Admin] hammer shows "Container Image Tags Filter" for non-docker r...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer - Content
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Partha Aji
QA Contact: Mirek Zalewski
URL:
Whiteboard:
: 1649882 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-14 16:34 UTC by Mirek Zalewski
Modified: 2019-10-07 17:20 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-katello-3.10.0.2-1,tfm-rubygem-hammer_cli_katello-0.16.0.7-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:58 UTC
Foreman Issue Tracker 25688 None None None 2018-12-14 04:29:44 UTC
Foreman Issue Tracker 25915 None None None 2019-01-23 19:43:26 UTC

Description Mirek Zalewski 2018-11-14 16:34:34 UTC
If Docker tags whitelist field in repository is set to anything else than `null`, hammer will show "Container Image Tags Filter" - even if repository is of type different than `docker`.
Field will be non-null due to eg Bug 1649866


Version:
Satellite 6.5 snap 3
katello-3.9.0-0.11.rc2.el7sat.noarch
foreman-1.20.0-0.17.RC2.el7sat.noarch
satellite-6.5.0-3.beta.el7sat.noarch
tfm-rubygem-hammer_cli-0.15.1-1.el7sat.noarch


Steps to reproduce:
1. Create product
2. Create repository of type different than docker
3. Set docker_tags_whitelist field for that repository to empty array (trigger Bug 1649866)
4. `hammer repository info --id <id>`


Actual results (excerpt from example):
ID:                          2
Content Type:                yum
Container Image Tags Filter: 


Expected results:
"Container Image Tags Filter:" is not present in output - it is not relevant for non-docker repositories.

Comment 4 Partha Aji 2018-12-14 04:29:42 UTC
Connecting redmine issue https://projects.theforeman.org/issues/25688 from this bug

Comment 5 pm-sat@redhat.com 2018-12-17 17:10:40 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25688 has been resolved.

Comment 7 Mirek Zalewski 2019-01-03 14:26:07 UTC
Issue is still present in Satellte 6.5 snap 9.

I have followed steps in Bug 1649866 to put non-null value into "Container Image Tags Filter" field of yum repository.
In shell, `hammer repository info --id 2` shows:

ID:                          2
Content Type:                yum
Container Image Tags Filter: 


Tested on:
Satellite 6.5 snap 9
foreman-1.20.1.2-1.el7sat.noarch
katello-3.10.0-0.6.rc1.el7sat.noarch
satellite-6.5.0-5.beta.el7sat.noarch
pulp-server-2.18.0-0.1.rc.el7sat.noarch

Comment 8 Bryan Kearney 2019-01-07 21:17:39 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25688 has been resolved.

Comment 9 Zach Huntington-Meath 2019-01-08 15:11:31 UTC
Partha, do you mind taking a look at this? It won't change back to assigned because the connected foreman-issue is closed.

Comment 10 Samir Jha 2019-01-09 15:15:30 UTC
*** Bug 1649882 has been marked as a duplicate of this bug. ***

Comment 12 Partha Aji 2019-01-23 19:43:25 UTC
Connecting redmine issue https://projects.theforeman.org/issues/25915 from this bug

Comment 13 Brad Buckingham 2019-01-29 12:21:17 UTC
Moving to POST since the upstream PR has been merged.

Comment 15 Mirek Zalewski 2019-02-04 15:49:52 UTC
Verified using steps to reproduce and Bug #1649866 .
Container Image Tags Filter field is displayed only for repositories of type "docker".


Version:
Satellite 6.5 snap 14
foreman-1.20.1.10-1.el7sat.noarch
pulp-server-2.18.0-0.1.rc.el7sat.noarch
satellite-6.5.0-6.beta.el7sat.noarch
katello-3.10.0-0.6.rc1.el7sat.noarch
tfm-rubygem-katello-3.10.0.17-1.el7sat.noarch
tfm-rubygem-hammer_cli_katello-0.16.0.8-1.el7sat.noarch

Comment 17 errata-xmlrpc 2019-05-14 12:38:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.